Skip to main content
POST
cURL

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Skill ID to copy

Body

application/json
targetScopeType
enum<string>
required

Target ownership scope

Available options:
base,
space,
system,
user,
User,
app,
App,
cuppyclaw,
Cuppyclaw,
routine,
Routine
targetScopeId
string

Target scope entity ID (required for base/space/app/cuppyclaw/routine)

sourceBaseId
string

Source project context: authorizes reading a folded space skill via base|read on that project.

Response

200 - application/json

Copied skill

id
string
required

Unique skill identifier

slug
string
required

URL-safe skill slug

name
string
required

Display name of the skill

skillMd
string
required

SKILL.md content defining the skill

scopeType
enum<string>
required

Ownership scope: base (project), space, system, user, app, cuppyclaw or routine

Available options:
base,
space,
system,
user,
User,
app,
App,
cuppyclaw,
Cuppyclaw,
routine,
Routine
isEnabled
boolean
required

Whether the skill is enabled / available to the agent

createdTime
string
required

ISO 8601 creation timestamp

createdBy
string
required

User ID of the creator

description
string | null

Short description of what the skill does

icon
string | null

Icon identifier or emoji

sourceMeta
any | null

Source metadata (github/zip/manual)

contentHash
string | null

SHA-256 content hash for change detection

Last modified on September 15, 2026